search menu icon-carat-right cmu-wordmark

CERT Coordination Center

Directory-traversal vulnerability in Mike Spice's My Classifieds CGI script

Vulnerability Note VU#181907

Original Release Date: 2002-08-01 | Last Revised: 2002-08-01

Overview

Some versions of My Classifieds contain a directory-traversal vulnerability that allows attackers to overwrite files.

Description

My Classifieds is a Perl CGI script, maintained by Mike Spice, that produces dynamic ad listings on a web server and allows users to edit their ads remotely. Prior to version 1.3, My Classifieds passed the CGI variable "category" to Perl's open() function without checking the variable for tampering by the client user.

Impact

Remote attackers can craft an HTTP request with any path in the "category" variable, allowing the attacker to overwrite any file to which the web server process has access.

Solution

Upgrade to version 1.3 of My Classifieds at:

http://www.fuzzymonkey.org/cgi-bin/download.cgi

Vendor Information

181907
 
Affected   Unknown   Unaffected

Mike Spice

Notified:  January 29, 2002 Updated:  June 07, 2002

Status

  Vulnerable

Vendor Statement

No statement is currently available from the vendor regarding this vulnerability.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base N/A N/A
Temporal N/A N/A
Environmental N/A

References

Acknowledgements

Thanks to Mike Spice for reporting this vulnerability.

This document was written by Shawn Van Ittersum.

Other Information

CVE IDs: None
Severity Metric: 1.35
Date Public: 2002-01-09
Date First Published: 2002-08-01
Date Last Updated: 2002-08-01 00:08 UTC
Document Revision: 6

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.